gitit-0.15.1.2: Wiki using happstack, git or darcs, and pandoc.

Safe Haskell | None
Language | Haskell2010

Network.Gitit.Cache

Synopsis

- expireCachedFile :: String -> GititServerPart ()
- lookupCache :: String -> GititServerPart (Maybe (UTCTime, ByteString))
- cacheContents :: String -> ByteString -> GititServerPart ()

# Documentation

expireCachedFile :: String -> GititServerPart () Source #

Expire a cached file, identified by its filename in the filestore. Returns () after deleting a file from the cache, fails if no cached file.

lookupCache :: String -> GititServerPart (Maybe (UTCTime, ByteString)) Source #

cacheContents :: String -> ByteString -> GititServerPart () Source #